App::Pinto::Command::look(3pm)

NAME
App::Pinto::Command::look - unpack and explore distributions with your shell

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT look [OPTIONS] TARGET ...

DESCRIPTION
Unpack one or more distributions and explore its contents with your shell. This is handy if you want to manually inspect a distribution before use. At present, this command only works with local repositories and distributions that are already in the repository.

At present, this command only works with local repositories.

COMMAND ARGUMENTS
Arguments are the targets you wish to look at. Targets can be specified as packages or distributions, such as:

  Some::Package
  Some::Other::Package

  AUTHOR/Some-Dist-1.2.tar.gz
  AUTHOR/Some-Other-Dist-1.3.zip

You can also pipe arguments to this command over STDIN. In that case, blank lines and lines that look like comments (i.e. starting with "#" or ';') will be ignored.

COMMAND OPTIONS

--stack=NAME
-s NAME
    Resolve package targets against the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. For distribution targets (i.e. those specified with a complete AUTHOR/filename) the "--stack" option has no effect.

ENVIRONMENT VARIABLES

"PINTO_SHELL"
    Sets the path to the command Pinto will use for the interactive shell. If this is not set, Pinto defaults to either "SHELL" or "COMSPEC".

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.